package cn.superdesk.uniorder.dubbo.consumer.operation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operation.ExcelImportLog;
import cn.superdesk.uniorder.dto.param.operation.ExcelImportLogParam;
import cn.superdesk.uniorder.dto.param.operation.ExcelImportLogQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.operation.DubboExcelImportLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: Excel导入日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-08-23 10:38:52
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-08-23 10:38:52
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class ExcelImportLogDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboExcelImportLogService dubboExcelImportLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(ExcelImportLogParam param) {

		dubboExcelImportLogService.addObj(param);

	}

	public void updateObj(ExcelImportLogParam param) {

		dubboExcelImportLogService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboExcelImportLogService.deleteObj(id);
	}

	public ExcelImportLog findById(Long id) {

		return dubboExcelImportLogService.findById(id);
	}

	public PageInfo<ExcelImportLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboExcelImportLogService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<ExcelImportLog> findAll(Map<String, Object> queryMap) {

		return dubboExcelImportLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addExcelImportLog(ExcelImportLogParam param) {

		dubboExcelImportLogService.addExcelImportLog(param);
	}


	public void updateExcelImportLog(ExcelImportLogParam param) {

		dubboExcelImportLogService.updateExcelImportLog(param);
	}


	public void deleteExcelImportLog(Long id) {
		dubboExcelImportLogService.deleteExcelImportLog(id);
	}


	public ExcelImportLog findExcelImportLogById(Long id) {

		return dubboExcelImportLogService.findExcelImportLogById(id);
	}


	public R<List<ExcelImportLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboExcelImportLogService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<ExcelImportLog>> pageQueryGenericParam(ExcelImportLogQueryCriteria queryCriteria) {

		return dubboExcelImportLogService.pageQueryGenericParam(queryCriteria);
	}
}
